#!/usr/bin/env python3
import sys

states = [
    "IDLE",
    "FETCHI",
    "FETCHA",
    "EXEC",
    "MEMR",
    "DONE"
]

def main():
    fh_in = sys.stdin
    fh_out = sys.stdout

    while True:
        # incoming values have newline
        l = fh_in.readline()
        if not l:
            return 0

        num = int(l, 16)

        if "x" in l.lower() or "z" in l.lower():
            fh_out.write(l)
        else:
            if num >= len(states):
                fh_out.write(l)
            else:
                fh_out.write(f"{states[num]}\n")

        fh_out.flush()

if __name__ == '__main__':
	sys.exit(main())